summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-23 22:23:02 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-23 22:23:02 +0000
commit8eef493f0b806efff2cb0e0bfe484973d4045bef (patch)
tree5cb09ad56b89731a759fdc96fcdb31fe5fc3b6ac /jenkins
parent09c816c3809c6afcb656863c952adb4f5c6fa6f9 (diff)
onsuccess: #726: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1356
-rw-r--r--jenkins/notify-init.log345
-rw-r--r--jenkins/run-build.env8
4 files changed, 1589 insertions, 122 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index dfc3008..e6db478 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#725-glibc-R0
+#726-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index ce7fb29..b98375d 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -21,22 +21,22 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/724/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/724/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -77,17 +77,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
+++ '[' x2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ local res
++ res=0
++ wait 1073634
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ git -C glibc rev-parse '2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 472894d2cfee5751b44c0aaa71ed87df81c8e62e = 472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
++ return 0
++ change_kind=single_commit
++ echo '# Debug traces :'
# Debug traces :
-# change_kind=no_change :
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ git -C glibc rev-list --count 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ c_commits=1
+# rev for glibc : 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab (1 commits)
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
-+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
++ echo '# rev for glibc : 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -114,27 +175,899 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1073714
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=c575e7ef51
+++ '[' 0 -ne 0 ']'
+++ echo c575e7ef51
++ sha1=c575e7ef51
++ git -C interesting-commits checkout --detach c575e7ef51
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 79142271ec Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 79142271ec
+
+HEAD is now at c575e7ef51 Add entry 7a6a29c455e7755b501c0006e39beb4e56ec2729 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1240/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ subdir3=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++ subdir4=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab ']'
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/'
+[detached HEAD 366b87d56d] Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
++ wait 1086827
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1964672
++ wait 1086829
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
-+ true
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xno_change '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ isubdir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/ = https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1086934
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=c575e7ef51
+++ '[' 0 -ne 0 ']'
+++ echo c575e7ef51
++ sha1=c575e7ef51
++ git -C interesting-commits checkout --detach c575e7ef51
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 366b87d56d Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 366b87d56d
+
+HEAD is now at c575e7ef51 Add entry 7a6a29c455e7755b501c0006e39beb4e56ec2729 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1240/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
+From https://git-us.linaro.org/toolchain/ci/interesting-commits
+ c575e7ef51..4cf6cb42bc master -> origin/master
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ subdir3=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++ subdir4=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab ']'
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1099999
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1100000
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh: line 1041: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh: line 1041: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1100040
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1100041
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --long = --oneline ']'
++ local length=10 outfile n_lines
++ '[' --long = --long ']'
++ length=-0
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/regressions.sum ']'
++ continue
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/progressions.sum ']'
++ continue
++ cat
+++ print_artifacts_url 00-sumfiles/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/sumfiles/xfails.xfail
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/details.txt
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/details.txt glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status.txt
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ ls
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status.txt ']'
++ echo '* master-arm'
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ ls
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt ']'
++ echo '* tcwg_glibc_check'
++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab true
+++ local component=glibc
+++ local sha1=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ describe=glibc-2.38.9000-298-g2e0c0ff95c
+++ echo glibc-2.38.9000-298-g2e0c0ff95c
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-298-g2e0c0ff95c
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-298-g2e0c0ff95c'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.ohh16XKzQx
++ git -C glibc log -n1 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ tail -n +2
++ head -n 10 /tmp/tmp.ohh16XKzQx
+++ cat /tmp/tmp.ohh16XKzQx
+++ wc -l
++ more_lines=8
++ '[' 8 -gt 0 ']'
++ echo '... 8 lines of the commit log omitted.'
++ rm /tmp/tmp.ohh16XKzQx
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira ']'
++ mkdir interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab true
++++ local component=glibc
++++ local sha1=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
++++ echo glibc-2.38.9000-298-g2e0c0ff95c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-298-g2e0c0ff95c
+++ return 0
+++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status-summary.txt
++ echo glibc-2.38.9000-298-g2e0c0ff95c: PASS
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/commit-log.txt
+++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status.txt
+++ print_icommits_link glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/yaml
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/description
++ update_jira_card
++ set -euf -o pipefail
+# update_jira_card
++ echo '# update_jira_card'
++ local jira_dir
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ commit_date='2023-11-23 19:01:32 +0000'
++ date -d '2023-11-23 19:01:32 +0000' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
+++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab false
+++ local component=glibc
+++ local sha1=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ describe=glibc-2.38.9000-298-g2e0c0ff95c
++ '[' glibc-2.38.9000-298-g2e0c0ff95c '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-298-g2e0c0ff95c
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ rm -f interesting-commits/glibc/glibc-2.38.9000-298-g2e0c0ff95c
++ ln -s sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab interesting-commits/glibc/glibc-2.38.9000-298-g2e0c0ff95c
++ git -C interesting-commits add glibc/glibc-2.38.9000-298-g2e0c0ff95c
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/'
+[detached HEAD aac8613ce7] Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+ 17 files changed, 77 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-298-g2e0c0ff95c
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/commit-log.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/components
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/description
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/startdate
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/summary
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status-summary.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/details.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status-summary.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/status.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status-summary.txt
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/status.txt
++ wait 1100411
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -144,11 +1077,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xno_change '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ isubdir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ icommit_entry=interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ '[' interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira ']'
++ rsync -a interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -162,9 +1107,9 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1964717
+++ wait 1100422
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1964718
+++ wait 1100423
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
@@ -188,9 +1133,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -198,16 +1143,98 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=
++ local c=glibc
++ '[' glibc = '' ']'
++ local -A emails
++ emails["tcwg-validation@linaro.org"]=bcc
++ emails["author"]=cc
++ emails["committer"]=to
++ case "$ci_project/$ci_config:$c" in
++ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
++ local c email base_rev cur_rev
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ read -r email
+++ git -C glibc log --pretty=%ae 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ emails["$email"]=cc
++ read -r email
++ local precommit_postcommit=postcommit
+ '[' '' = '' ']'
-+ echo bcc:tcwg-validation@linaro.org
-+ return 0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ read -r email
+++ git -C glibc log --pretty=%ce 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ emails["$email"]=to
++ read -r email
++ unset 'emails[author]' 'emails[committer]'
++ local type
++ recipients=()
++ local -a recipients
++ for email in "${!emails[@]}"
++ type=cc_postcommit
++ case "$precommit_postcommit:$type" in
++ type=cc
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ IFS=,
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,joseph@codesourcery.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab true
++++ local component=glibc
++++ local sha1=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
++++ echo glibc-2.38.9000-298-g2e0c0ff95c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-298-g2e0c0ff95c
++ return 0
++ gnu_print_result --oneline
++ false
@@ -216,10 +1243,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1964740
+++ wait 1100471
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1964741
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1100472
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -238,7 +1265,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -261,21 +1288,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'baseline build: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-298-g2e0c0ff95c: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/724/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -298,8 +1325,41 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab true
++++ local component=glibc
++++ local sha1=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
++++ echo glibc-2.38.9000-298-g2e0c0ff95c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-298-g2e0c0ff95c
+++ '[' --short = --oneline ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-298-g2e0c0ff95c'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.VWYauLovKO
+++ git -C glibc log -n1 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ tail -n +2
+++ head -n 10 /tmp/tmp.VWYauLovKO
++++ cat /tmp/tmp.VWYauLovKO
++++ wc -l
+++ more_lines=8
+++ '[' 8 -gt 0 ']'
+++ echo '... 8 lines of the commit log omitted.'
+++ rm /tmp/tmp.VWYauLovKO
+++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
++ false
@@ -308,10 +1368,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1964780
+++ wait 1100524
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1964781
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1100525
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -342,30 +1402,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -383,33 +1443,118 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' no_change '!=' single_commit ']'
-+ return
-+ echo '# generate dashboard'
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
+++ '[' -f interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_check master-arm
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check master-arm
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
+++ isubdir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ isubdir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
-... Skipping
+ return
-# post_dashboard_squad
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1964824
++ wait 1100587
+ set -euf -o pipefail
+ local results_date
-+ echo '# generate_lnt_report'
# generate_lnt_report
++ echo '# generate_lnt_report'
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
+ set -euf -o pipefail
+ local c base_d cur_d results_date=0
@@ -425,42 +1570,49 @@
+++ cat base-artifacts/git/glibc_rev
++ git -C glibc show --no-patch --pretty=%ct 472894d2cfee5751b44c0aaa71ed87df81c8e62e
+ base_d=1700656769
-++ get_currrent_component_date glibc
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1794: get_currrent_component_date: command not found
-++ true
-+ cur_d=
+++ get_current_component_date glibc
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ git -C glibc show --no-patch --pretty=%ct 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ cur_d=1700766092
+ '[' x1700656769 '!=' x ']'
-+ '[' x = x ']'
-+ cur_d=1700656769
-+ '[' x1700656769 = x ']'
-+ '[' 1700656769 -gt 0 ']'
-+ results_date=1700656769
-+ assert_with_msg 'Failed to produce results_date' '[' 1700656769 -gt 0 ']'
++ '[' x1700766092 = x ']'
++ '[' 1700766092 -lt 1700656769 ']'
++ '[' x1700766092 = x ']'
++ '[' 1700766092 -gt 0 ']'
++ results_date=1700766092
++ assert_with_msg 'Failed to produce results_date' '[' 1700766092 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=
-+ '[' '' '!=' '' ']'
-+ rr[results_date]=1700656769
++ base_d=1700656769
++ '[' 1700656769 '!=' '' ']'
++ assert '[' 1700766092 -ge 1700656769 ']'
++ set -euf -o pipefail +x
++ '[' 1700766092 -gt 1700656769 ']'
++ results_date=1700711430
++ rr[results_date]=1700711430
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1700656769
-++ date '+%Y-%m-%d %H:%M:%S' --date @1700656769
-+ results_date='2023-11-22 12:39:29'
++ results_date=1700711430
+++ date '+%Y-%m-%d %H:%M:%S' --date @1700711430
++ results_date='2023-11-23 03:50:30'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/ tcwg_glibc_check master-arm '2023-11-22 12:39:29' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/ tcwg_glibc_check master-arm '2023-11-23 03:50:30' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-11-22 12:39:29'
++ local 'results_date=2023-11-23 03:50:30'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -470,8 +1622,8 @@
+ local lnt_testsuite=tcwg_glibc_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
-+ build_number=725
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ build_number=726
+ additional_run_infos=("tag:$lnt_testsuite" "run_order:$build_number" "test_url:$build_url")
++ get_current_manifest '{rr[components]}'
++ get_manifest artifacts/manifest.sh '{rr[components]}'
@@ -492,16 +1644,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
++ url=glibc.git
++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
-+ report_header master-arm '2023-11-22 12:39:29' tag:tcwg_glibc_check run_order:725 test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/ 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
++ report_header master-arm '2023-11-23 03:50:30' tag:tcwg_glibc_check run_order:726 test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/ 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
+ local machine_name=master-arm
-+ local 'date_time=2023-11-22 12:39:29'
++ local 'date_time=2023-11-23 03:50:30'
+ shift 2
-+ run_infos=('tag:tcwg_glibc_check' 'run_order:725' 'test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e')
++ run_infos=('tag:tcwg_glibc_check' 'run_order:726' 'test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab')
+ local run_infos
+ cat
+ for i in "${run_infos[@]}"
@@ -513,29 +1665,29 @@
+ val=tcwg_glibc_check
+ echo ' "tag": "tcwg_glibc_check",'
+ for i in "${run_infos[@]}"
-++ echo run_order:725
+++ echo run_order:726
++ cut -d: -f1
+ tag=run_order
-++ echo run_order:725
+++ echo run_order:726
++ cut -d: -f2-
-+ val=725
-+ echo ' "run_order": "725",'
++ val=726
++ echo ' "run_order": "726",'
+ for i in "${run_infos[@]}"
-++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
+++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ cut -d: -f1
+ tag=test_url
-++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
+++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ cut -d: -f2-
-+ val=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
-+ echo ' "test_url": "https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/",'
++ val=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ echo ' "test_url": "https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/",'
+ for i in "${run_infos[@]}"
-++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
++ cut -d: -f1
+ tag=git_glibc
-++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
++ cut -d: -f2-
-+ val='https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
-+ echo ' "git_glibc": "https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e",'
++ val='https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab'
++ echo ' "git_glibc": "https://sourceware.org/git/?p=glibc.git;a=commit;h=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab",'
+ cat
+ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
+ local all_fields
@@ -27992,8 +29144,8 @@
+ false
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 4ea282f..f0dbf7e 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -21,20 +21,20 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-# Debug traces :
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/724/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/724/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/725/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/'
# Using dir : artifacts
+ echo '# Using dir : artifacts'
@@ -77,17 +77,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
+++ '[' x2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ local res
++ res=0
++ wait 1060362
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ git -C glibc rev-parse '2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 472894d2cfee5751b44c0aaa71ed87df81c8e62e = 472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=no_change :
-
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ git -C glibc rev-list --count 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ c_commits=1
++ echo '# rev for glibc : 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab (1 commits)'
+# rev for glibc : 472894d2cfee5751b44c0aaa71ed87df81c8e62e..2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab (1 commits)
+
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -114,9 +175,263 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1060442
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=c575e7ef51
+++ '[' 0 -ne 0 ']'
+++ echo c575e7ef51
++ sha1=c575e7ef51
++ git -C interesting-commits checkout --detach c575e7ef51
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ b0e34a013d Add entry da02021b59983145f7da0226afb46345cda5d9ef from https://ci.linaro.org/job/tcwg_gdb_build--master-aarch64-build/456/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> b0e34a013d
+
+HEAD is now at c575e7ef51 Add entry 7a6a29c455e7755b501c0006e39beb4e56ec2729 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1240/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ jira_dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ subdir3=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
++ subdir4=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ interesting_subdir glibc 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab ']'
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
++ mkdir -p interesting-commits/glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ git -C interesting-commits add glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/'
+[detached HEAD 79142271ec] Add entry 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/726/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/first_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab/tcwg_glibc_check/master-arm/last_good
++ wait 1073543
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index f8742cd..ad9cb89 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#725"
+build_name="#726"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05
+tcwg-jade-06
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#725-glibc"
+build_name="#726-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#725-glibc-R0"
+build_name="#726-glibc-R0"